<!doctype html>
<!-- The DOCTYPE declaration above will set the    -->
<!-- browser's rendering engine into               -->
<!-- "Standards Mode". Replacing this declaration  -->
<!-- with a "Quirks Mode" doctype may lead to some -->
<!-- differences in layout.                        -->

<%@page import="com.greenhat.server.oslc.shared.datamodel.OslcParameters"%>

<%
    String xFrameOptions = System.getProperty("com.greenhat.server.oslc.server.xFrameOptions");
    if (xFrameOptions != null) {
 	    response.setHeader("X-Frame-Options", xFrameOptions);
 	} 
%>

<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
	<meta id="ghlocale" content="locale=<%=request.getLocale() %>" name="gwt:property" >
    <!--                                                               -->
    <!-- Consider inlining CSS to reduce the number of requested files -->
    <!--                                                               -->
    <link rel="icon" type="image/x-icon" href="favicon.ico">

    <!--                                           -->
    <!-- Any title is fine                         -->
    <!--                                           -->
    <title>Rational Test Control Panel: OSLC Delegated UI</title>
    
    <script type="text/javascript">
    	window["<%=OslcParameters.INPUT_PROPERTY_NAME%>"]
    		= <%=request.getAttribute(OslcParameters.INPUT_PROPERTY_NAME)%>;
    		
    	window.rtcpPostMessage = function(message) {
    		// use setTimeout() to ensure the source is set to this window in IE8
    		// (otherwise it will be set to the window that called rtcpPostMessage())
    		window.setTimeout(function() {
    			(window.parent || window).postMessage(message, "*");
    		}, 0);
    	}
    </script>

    <!--                                           -->
    <!-- This script loads your compiled module.   -->
    <!-- If you add any GWT meta tags, they must   -->
    <!-- be added before this line.                -->
    <!--                                           -->
    <script type="text/javascript" language="javascript" src="<%=request.getContextPath()%>/oslc_client/oslc_client.nocache.js"></script>
  </head>

  <!--                                           -->
  <!-- The body can have arbitrary html, or      -->
  <!-- you can leave the body empty if you want  -->
  <!-- to create a completely dynamic UI.        -->
  <!--                                           -->
  <body>

    <!-- OPTIONAL: include this if you want history support -->
    <iframe src="javascript:''" id="__gwt_historyFrame" tabIndex='-1' style="position:absolute;width:0;height:0;border:0"></iframe>

    <!-- RECOMMENDED if your web app will not function without JavaScript enabled -->
    <noscript>
      <div style="width: 22em; position: absolute; left: 50%; margin-left: -11em; color: red; background-color: white; border: 1px solid red; padding: 4px; font-family: sans-serif">
        Your web browser must have JavaScript enabled
        in order for this application to display correctly.
      </div>
    </noscript>
  </body>
</html>
